6.0.0-git
2019-03-24

[#13434] Incorrect filter sorting
Summary Incorrect filter sorting
Queue Ingo
Queue Version 3.2.0
Type Bug
State Resolved
Priority 2. Medium
Owners slusarz (at) horde (dot) org
Requester lukas.weiss (at) raiffeisen (dot) it
Created 2014-08-12 (1685 days ago)
Due
Updated 2014-08-15 (1682 days ago)
Assigned
Resolved 2014-08-15 (1682 days ago)
Milestone
Patch No

History
2014-08-15 00:54:25 Michael Slusarz Comment #5
Assigned to Michael Slusarz
State ⇒ Resolved
Priority ⇒ 2. Medium
Reply to this comment
Ingo 3.2.1
2014-08-15 00:54:09 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (master):

commit b3aededc0fef1bd909683995afa5b019f91d31de
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Thu Aug 14 18:53:10 2014 -0600

     [mms] Fix performing more than one filter drag/drop action on a 
single page (Bug #13434).

     Conflicts:
             ingo/docs/CHANGES
             ingo/package.xml

  ingo/docs/CHANGES  |    2 ++
  ingo/js/filters.js |   16 +++++++++++++++-
  ingo/package.xml   |    1 +
  3 files changed, 18 insertions(+), 1 deletions(-)

http://github.com/horde/horde/commit/b3aededc0fef1bd909683995afa5b019f91d31de
2014-08-15 00:53:27 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 48ab54382f8825c9b8104787be6edff6612aa51a
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Thu Aug 14 18:53:10 2014 -0600

     [mms] Fix performing more than one filter drag/drop action on a 
single page (Bug #13434).

  ingo/docs/CHANGES  |    2 ++
  ingo/js/filters.js |   16 +++++++++++++++-
  ingo/package.xml   |    2 ++
  3 files changed, 19 insertions(+), 1 deletions(-)

http://github.com/horde/horde/commit/48ab54382f8825c9b8104787be6edff6612aa51a
2014-08-13 14:18:11 lukas (dot) weiss (at) raiffeisen (dot) it Comment #2 Reply to this comment
After sorting, the rule_order starts with 0 instead of 1.
This also leads to the deletion of the wrong rule.
2014-08-12 12:51:56 lukas (dot) weiss (at) raiffeisen (dot) it Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 3. High
Summary ⇒ Incorrect filter sorting
Queue ⇒ Ingo
Milestone ⇒
Patch ⇒ No
Reply to this comment
Moving multiple filter rules in the list (without refreshing the page) 
leads to incorrect sorting.

Saved Queries